<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Vzdelavanie\Http\Requests\Api;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Validation\Rule;
use Seka\Portal\Modul\Vzdelavanie\Enums\ModelsTypeEnum;

/**
 * Class OblubeneStoreRequest
 *
 * @package Seka\Portal\Modul\Vzdelavanie\Http\Requests\Api
 */
class OblubeneStoreRequest extends FormRequest
{
    /**
     * @return bool
     */
    public function expectsJson(): bool
    {
        return true;
    }

    /**
     * @return array
     */
    public function rules(): array
    {
        return [
            'id' => 'required|integer',
            'typ' => [
                'required',
                Rule::enum(ModelsTypeEnum::class),
            ],
        ];
    }
}
